# DataExchange
TKIGES
IGESDimen

# IGESDimen_DimensionUnits Class Reference

defines Dimension Units, Type <406>, Form <28>
in package IGESDimen
Describes the units and formatting details of the
nominal value of a dimension.

`#include <IGESDimen_DimensionUnits.hxx>`

Inheritance diagram for IGESDimen_DimensionUnits:

[legend]

## Public Member Functions

Standard_EXPORT | IGESDimen_DimensionUnits ()
Standard_EXPORT void | Init (const Standard_Integer nbPropVal, const Standard_Integer aSecondPos, const Standard_Integer aUnitsInd, const Standard_Integer aCharSet, const Handle(TCollection_HAsciiString)&aFormat, const Standard_Integer aFracFlag, const Standard_Integer aPrecision)

This method is used to set the fields of the class
DimensionUnits
- nbPropVal : Number of property values, always = 6
- aSecondPos : Secondary Dimension Position
0 = This is the main text
1 = Before primary dimension
2 = After primary dimension
3 = Above primary dimension
4 = Below primary dimension
- aUnitsInd : Units Indicator
- aCharSet : Character Set used
- aFormat : Format HAsciiString
1 = Standard ASCII
1001 = Symbol Font 1
1002 = Symbol Font 2
1003 = Drafting Font
- aFracFlag : Fraction Flag
0 = Display values as decimal numbers
1 = Display values as fractions
- aPrecision : Precision Value
.

Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns the number of property values
Standard_EXPORT Standard_Integer | SecondaryDimenPosition () const
| returns position of secondary dimension w.r.t. primary dimension
Standard_EXPORT Standard_Integer | UnitsIndicator () const
| returns the units indicator
Standard_EXPORT Standard_Integer | CharacterSet () const
| returns the character set interpretation
Standard_EXPORT Handle_TCollection_HAsciiString | FormatString () const
| returns the string used in formatting value
Standard_EXPORT Standard_Integer | FractionFlag () const
| returns the fraction flag
Standard_EXPORT Standard_Integer | PrecisionOrDenominator () const
| returns the precision/denominator number of decimal places when FractionFlag() = 0 denominator of fraction when FractionFlag() = 1
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theNbPropertyValues
Standard_Integer | theSecondaryDimenPosition
Standard_Integer | theUnitsIndicator
Standard_Integer | theCharacterSet
Handle_TCollection_HAsciiString | theFormatString
Standard_Integer | theFractionFlag
Standard_Integer | thePrecision

## Constructor & Destructor Documentation

Standard_EXPORT IGESDimen_DimensionUnits::IGESDimen_DimensionUnits | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer IGESDimen_DimensionUnits::CharacterSet | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString IGESDimen_DimensionUnits::FormatString | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDimen_DimensionUnits::FractionFlag | ( |  | ) | const

Standard_EXPORT const IGESDimen_DimensionUnits::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESDimen_DimensionUnits::Init | ( | const Standard_Integer | nbPropVal,
|  | const Standard_Integer | aSecondPos,
|  | const Standard_Integer | aUnitsInd,
|  | const Standard_Integer | aCharSet,
|  | const Handle(TCollection_HAsciiString)& | aFormat,
|  | const Standard_Integer | aFracFlag,
|  | const Standard_Integer | aPrecision
| ) |

Standard_EXPORT Standard_Integer IGESDimen_DimensionUnits::NbPropertyValues | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDimen_DimensionUnits::PrecisionOrDenominator | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDimen_DimensionUnits::SecondaryDimenPosition | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDimen_DimensionUnits::UnitsIndicator | ( |  | ) | const

## Field Documentation

Standard_Integer IGESDimen_DimensionUnits::theCharacterSet `[private]`

Handle_TCollection_HAsciiString IGESDimen_DimensionUnits::theFormatString `[private]`

Standard_Integer IGESDimen_DimensionUnits::theFractionFlag `[private]`

Standard_Integer IGESDimen_DimensionUnits::theNbPropertyValues `[private]`

Standard_Integer IGESDimen_DimensionUnits::thePrecision `[private]`

Standard_Integer IGESDimen_DimensionUnits::theSecondaryDimenPosition `[private]`

Standard_Integer IGESDimen_DimensionUnits::theUnitsIndicator `[private]`

The documentation for this class was generated from the following file:

- IGESDimen_DimensionUnits.hxx